### Signal

# Vips Image::eval

#### Declaration

    void
    eval (
      VipsImage* self,
      VipsProgress* progress,
      gpointer user_data
    )

#### Description [src]

This signal is emitted once per work unit (typically a 128 x 128 area of pixels) during image computation.

You can use this signal to update user-interfaces with progress feedback. Beware of updating too frequently: you will usually need some throttling mechanism.

Use `vips_image_set_progress()` to turn on progress reporting for an image.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`progress`

  Type: `VipsProgress`

  `VipsProgress` for this image.

  The data is owned by the caller of the function.